summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--libraries/liborocos-kdl/README4
-rw-r--r--libraries/liborocos-kdl/liborocos-kdl.SlackBuild108
-rw-r--r--libraries/liborocos-kdl/liborocos-kdl.info10
-rw-r--r--libraries/liborocos-kdl/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/libraries/liborocos-kdl/README b/libraries/liborocos-kdl/README
new file mode 100644
index 0000000000..818746ebc3
--- /dev/null
+++ b/libraries/liborocos-kdl/README
@@ -0,0 +1,4 @@
+It provides class libraries for geometrical objects, modelling and
+computation of kinematic chains (such as robots, computer-animated
+figures, machine tools, etc), their motion specification and
+interpolation.
diff --git a/libraries/liborocos-kdl/liborocos-kdl.SlackBuild b/libraries/liborocos-kdl/liborocos-kdl.SlackBuild
new file mode 100644
index 0000000000..57f2440874
--- /dev/null
+++ b/libraries/liborocos-kdl/liborocos-kdl.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for Orocos Kinematics and Dynamics C++ library
+
+# Copyright 2019 SlackBuilds.org Project. All rights reserved.
+# Written and currently maintained by naglfar@slackpi.tk
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=liborocos-kdl
+SRCPKG=orocos_kinematics_dynamics
+VERSION=${VERSION:-1.4.0}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=$ARCH -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=$ARCH -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+elif [ "$ARCH" = "armv7l" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCPKG-$VERSION
+tar xvf $CWD/$SRCPKG-$VERSION.tar.?z*
+cd $SRCPKG-$VERSION/orocos_kdl
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+#Fix pkg-config library path
+sed -i 's|/lib|/lib@LIB_SUFFIX@|g' src/kdl.pc.in KDLConfig.cmake.in
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DBUILD_MODELS=OFF \
+ -DENABLE_EXAMPLES=OFF \
+ -DENABLE_TESTS=OFF \
+ -DKDL_USE_NEW_TREE_INTERFACE=OFF \
+ -DCMAKE_BUILD_TYPE=Release ..
+
+ make VERBOSE=1 || exit 1
+ make VERBOSE=1 install DESTDIR=$PKG || exit 1
+cd ..
+
+# Remove empty directories
+find $PKG -depth -type d -empty -delete
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING README \
+ $CWD/$PRGNAM.SlackBuild \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/liborocos-kdl/liborocos-kdl.info b/libraries/liborocos-kdl/liborocos-kdl.info
new file mode 100644
index 0000000000..9a3d34d023
--- /dev/null
+++ b/libraries/liborocos-kdl/liborocos-kdl.info
@@ -0,0 +1,10 @@
+PRGNAM="liborocos-kdl"
+VERSION="1.4.0"
+HOMEPAGE="http://www.orocos.org/kdl"
+DOWNLOAD="https://github.com/orocos/orocos_kinematics_dynamics/archive/v1.4.0/orocos_kinematics_dynamics-1.4.0.tar.gz"
+MD5SUM="abeffd125865adfcb390c8fbc6a3f084"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Naglfar"
+EMAIL="naglfar@slackpi.tk"
diff --git a/libraries/liborocos-kdl/slack-desc b/libraries/liborocos-kdl/slack-desc
new file mode 100644
index 0000000000..8a2ba7381f
--- /dev/null
+++ b/libraries/liborocos-kdl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+liborocos-kdl: liborocos-kdl (Kinematics and Dynamics Library)
+liborocos-kdl:
+liborocos-kdl: It provides class libraries for geometrical objects, modelling and
+liborocos-kdl: computation of kinematic chains (such as robots, computer-animated
+liborocos-kdl: figures, machine tools, etc), their motion specification and
+liborocos-kdl: interpolation.
+liborocos-kdl:
+liborocos-kdl: API documentation http://docs.ros.org/indigo/api/orocos_kdl/html/
+liborocos-kdl:
+liborocos-kdl: http://www.orocos.org/kdl
+liborocos-kdl: